%define upstream_name Date_Holidays_EnglandWales
%define xmldir  %{_var}/lib/pear
%define peardir %(pear config-get php_dir 2> /dev/null)

Name: 		php-pear-%{upstream_name}
Version:     	0.1.5
Release:     	%mkrel 5
Summary:    	Driver based class to calculate holidays in England and Wales
License: 	PHP License
Group: 		Development/PHP
Source0: 	http://pear.php.net/get/Date_Holidays_EnglandWales-%{version}.tgz
URL: 		http://pear.php.net/package/Date_Holidays_EnglandWales
BuildRequires: 	php-pear >= 1.4.7
Requires: 	php-pear-Date_Holidays >= 0.21.1
Requires:	php-pear >= 1.4.0b1
BuildArch: 	noarch

%description
Date_Holidays helps you calculate the dates and titles of holidays and
other special celebrations. This is the driver for calculating holidays in
England and Wales.

%prep
%setup -c -T
pear -v -c pearrc \
        -d php_dir=%{peardir} \
        -d doc_dir=/docs \
        -d bin_dir=%{_bindir} \
        -d data_dir=%{peardir}/data \
        -d test_dir=%{peardir}/tests \
        -d ext_dir=%{_libdir} \
        -s

%build

%install
pear -c pearrc install --nodeps --packagingroot %{buildroot} %{SOURCE0}
        
# Clean up unnecessary files
rm pearrc
rm %{buildroot}/%{peardir}/.filemap
rm %{buildroot}/%{peardir}/.lock
rm -rf %{buildroot}/%{peardir}/.registry
rm -rf %{buildroot}%{peardir}/.channels
rm %{buildroot}%{peardir}/.depdb
rm %{buildroot}%{peardir}/.depdblock



# Install XML package description
mkdir -p %{buildroot}%{xmldir}
tar -xzf %{SOURCE0} package.xml
cp -p package.xml %{buildroot}%{xmldir}/Date_Holidays_EnglandWales.xml

%post
pear install --nodeps --soft --force --register-only %{xmldir}/Date_Holidays_EnglandWales.xml

%postun
if [ "$1" -eq "0" ]; then
    pear uninstall --nodeps --ignore-errors --register-only pear.php.net/Date_Holidays_EnglandWales
fi

%files
%{peardir}/*
%{xmldir}/Date_Holidays_EnglandWales.xml


%changelog
* Thu Feb 04 2016 umeabot <umeabot> 0.1.5-5.mga6
+ Revision: 934828
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.1.5-4.mga5
+ Revision: 751025
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.1.5-3.mga5
+ Revision: 687225
- Mageia 5 Mass Rebuild

* Sat Oct 19 2013 umeabot <umeabot> 0.1.5-2.mga4
+ Revision: 527996
- Mageia 4 Mass Rebuild

* Fri Jun 14 2013 spuhler <spuhler> 0.1.5-1.mga4
+ Revision: 443147
- upgrade to version 0.1.5

* Sun Jan 13 2013 umeabot <umeabot> 0.1.4-2.mga3
+ Revision: 376039
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Jan 23 2012 spuhler <spuhler> 0.1.4-1.mga2
+ Revision: 200086
- upgrade to 0.1.4
  pearized spec file

* Sat Feb 05 2011 spuhler <spuhler> 0.1.2-3.mga1
+ Revision: 47214
- removed buildroot definition from .spec
  removed the if mdkversion lines
- imported package php-pear-Date_Holidays_EnglandWales


* Tue Dec 07 2010 Oden Eriksson <oeriksson@mandriva.com> 0.1.2-3mdv2011.0
+ Revision: 613639
- the mass rebuild of 2010.1 packages

* Wed Dec 16 2009 Guillaume Rousse <guillomovitch@mandriva.org> 0.1.2-2mdv2010.1
+ Revision: 479270
- spec cleanup
- use pear installer
- don't ship tests, even in documentation
- own all directories
- use rpm filetriggers starting from mandriva 2010.1

* Mon Apr 20 2009 Raphaël Gertz <rapsys@mandriva.org> 0.1.2-1mdv2009.1
+ Revision: 368141
- Add spec and source files for php-pear-Date_Holidays_EnglandWales
- Update inscorrect package name
- Add new splited php-pear-Date_Holidays package upstream structure

